Package org.apache.storm.executor

## Class ExecutorTransfer

- java.lang.Object
- - org.apache.storm.executor.ExecutorTransfer

-     public class ExecutorTransfer
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExecutorTransfer​(WorkerState workerData, Map<String,​Object> topoConf)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `flush()` |
    `JCQueue` | `getLocalQueue​(AddressedTuple tuple)` |
    `void` | `initLocalRecvQueues()` |
    `boolean` | `tryTransfer​(AddressedTuple addressedTuple, Queue<AddressedTuple> pendingEmits)` |
    `boolean` | `tryTransferLocal​(AddressedTuple tuple, JCQueue localQueue, Queue<AddressedTuple> pendingEmits)` | Adds tuple to localQueue (if overflow is empty).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExecutorTransfer

          public ExecutorTransfer​(WorkerState workerData,
                                  Map<String,​Object> topoConf)

  - ### Method Detail

    - #### initLocalRecvQueues

          public void initLocalRecvQueues()

    - #### tryTransfer

          public boolean tryTransfer​(AddressedTuple addressedTuple,
                                     Queue<AddressedTuple> pendingEmits)

    - #### flush

          public void flush()
                     throws InterruptedException

      Throws:
        `InterruptedException`

    - #### getLocalQueue

          public JCQueue getLocalQueue​(AddressedTuple tuple)

    - #### tryTransferLocal

          public boolean tryTransferLocal​(AddressedTuple tuple,
                                          JCQueue localQueue,
                                          Queue<AddressedTuple> pendingEmits)

      Adds tuple to localQueue (if overflow is empty). If localQueue is full adds to pendingEmits instead. pendingEmits can be null. Returns false if unable to add to localQueue.